Skip to content
Myra Online Help Updated · 25 Aug 2026

Adding a replication DNS zone

Note

The name of the zone must be unique within Myra and must not be identical to a domain that is already protected through the CDN.

Note

The body does not include the attributes id, created and modified. The values for these attributes will be set by the system after the creation of the entry.

Note

The name of the zone cannot be changed subsequently.

Sends a POST request to the endpoint /replication-dns/zones.

Description

The Add-Replication-DNS-Zone request allows the user to add a replication DNS zone for the organisation. Myra then transfers the content of the zone from the specified master name servers.

Requirements

Values of the request: none

Objects: ReplicationDnsZoneVO

Request

For a detailed specification of which information is required to add a replication DNS zone, the object ReplicationDnsZoneVO with the following attributes needs to be defined in the body:

Attributes Description Values
zoneName The name of the zone as a fully qualified domain name. From 1 to 255 characters are permitted. string
masters An array with the IP addresses of the master name servers Myra transfers the zone from. At least one IP address is necessary. IPv4 and IPv6 addresses are permitted. array

The following attributes are optional:

Attributes Description Values
replicationMethod The method Myra uses to transfer the zone from the master name server. Default: IXFR
The following values are available:
  • AXFR
  • IXFR
  • IXFR_UDP
tsigKeyName The name of the TSIG key that protects the zone transfer. string
tsigKeyAlgorithm The algorithm of the TSIG key. The attribute is necessary as soon as a TSIG key is set.
  • hmac-md5
  • hmac-sha1
  • hmac-sha224
  • hmac-sha256
  • hmac-sha384
  • hmac-sha512
tsigKey The TSIG key. The attribute is necessary as soon as a TSIG key is set. string

The system responds by returning the object ReplicationDnsZoneVO with the information about the new entry.

Example

Example request body:

{
  "zoneName": "string",
  "replicationMethod": "string",
  "masters": [
    "string"
  ],
  "tsigKeyName": "string",
  "tsigKeyAlgorithm": "string",
  "tsigKey": "string"
}

Responses

The following responses are available:

STATUS CODE DESCRIPTION
201 The request has succeeded and a new object has been created.
400 The request was unsuccessful. The request was invalid or information is missing.
401 The request has not succeeded because the user authentication was incorrect.
403 The request has not succeeded because the user does not have the right permissions.